<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'blog',

    /*
     * Package.
     */
    'package'   => 'blog',

    /*
     * Modules.
     */
    'modules'   => ['blog_category', 
'blog_post', 
'blog_post_blog_tag', 
'blog_tag'],

    'blog_category'       => [
        'model' => [
            'model'                 => \Blog\Blog\Models\BlogCategory::class,
            'table'                 => 'blog_categories',
            'presenter'             => \Blog\Blog\Repositories\Presenter\BlogCategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'slug',  'meta_title',  'meta_keywords',  'meta_description',  'posted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'blog/blog_category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blog',
            'package'   => 'Blog',
            'module'    => 'BlogCategory',
        ],

    ],

    'blog_post'       => [
        'model' => [
            'model'                 => \Blog\Blog\Models\BlogPost::class,
            'table'                 => 'blog_posts',
            'presenter'             => \Blog\Blog\Repositories\Presenter\BlogPostPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'blog_category_id',  'cover',  'title',  'slug',  'intro',  'content',  'meta_title',  'meta_keywords',  'meta_description',  'posted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'blog/blog_post',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blog',
            'package'   => 'Blog',
            'module'    => 'BlogPost',
        ],

    ],

    'blog_post_blog_tag'       => [
        'model' => [
            'model'                 => \Blog\Blog\Models\BlogPostBlogTag::class,
            'table'                 => 'blog_post_blog_tags',
            'presenter'             => \Blog\Blog\Repositories\Presenter\BlogPostBlogTagPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['blog_post_id',  'blog_tag_id'],
            'translatables'         => [],
            'upload_folder'         => 'blog/blog_post_blog_tag',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blog',
            'package'   => 'Blog',
            'module'    => 'BlogPostBlogTag',
        ],

    ],

    'blog_tag'       => [
        'model' => [
            'model'                 => \Blog\Blog\Models\BlogTag::class,
            'table'                 => 'blog_tags',
            'presenter'             => \Blog\Blog\Repositories\Presenter\BlogTagPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'slug',  'meta_title',  'meta_keywords',  'meta_description',  'posted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'blog/blog_tag',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blog',
            'package'   => 'Blog',
            'module'    => 'BlogTag',
        ],

    ],
];
