<?php

namespace Blog\Blog\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind BlogCategory policy
        'Blog\Blog\Models\BlogCategory' => \Blog\Blog\Policies\BlogCategoryPolicy::class,
// Bind BlogPost policy
        'Blog\Blog\Models\BlogPost' => \Blog\Blog\Policies\BlogPostPolicy::class,
// Bind BlogPostBlogTag policy
        'Blog\Blog\Models\BlogPostBlogTag' => \Blog\Blog\Policies\BlogPostBlogTagPolicy::class,
// Bind BlogTag policy
        'Blog\Blog\Models\BlogTag' => \Blog\Blog\Policies\BlogTagPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
