<?php

namespace Blog\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogCategoryTransformer extends TransformerAbstract
{
    public function transform(\Blog\Blog\Models\BlogCategory $blog_category)
    {
        return [
            'id'                => $blog_category->getRouteKey(),
            'key'               => [
                'public'    => $blog_category->getPublicKey(),
                'route'     => $blog_category->getRouteKey(),
            ], 
            'id'                => $blog_category->id,
            'title'             => $blog_category->title,
            'slug'              => $blog_category->slug,
            'meta_title'        => $blog_category->meta_title,
            'meta_keywords'     => $blog_category->meta_keywords,
            'meta_description'  => $blog_category->meta_description,
            'posted_at'         => $blog_category->posted_at,
            'created_at'        => $blog_category->created_at,
            'updated_at'        => $blog_category->updated_at,
            'url'               => [
                'public'    => trans_url('blog/'.$blog_category->getPublicKey()),
                'user'      => guard_url('blog/blog_category/'.$blog_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog_category->status),
            'created_at'        => format_date($blog_category->created_at),
            'updated_at'        => format_date($blog_category->updated_at),
        ];
    }
}