<?php

namespace Blog\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogPostBlogTagTransformer extends TransformerAbstract
{
    public function transform(\Blog\Blog\Models\BlogPostBlogTag $blog_post_blog_tag)
    {
        return [
            'id'                => $blog_post_blog_tag->getRouteKey(),
            'key'               => [
                'public'    => $blog_post_blog_tag->getPublicKey(),
                'route'     => $blog_post_blog_tag->getRouteKey(),
            ], 
            'blog_post_id'      => $blog_post_blog_tag->blog_post_id,
            'blog_tag_id'       => $blog_post_blog_tag->blog_tag_id,
            'url'               => [
                'public'    => trans_url('blog/'.$blog_post_blog_tag->getPublicKey()),
                'user'      => guard_url('blog/blog_post_blog_tag/'.$blog_post_blog_tag->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog_post_blog_tag->status),
            'created_at'        => format_date($blog_post_blog_tag->created_at),
            'updated_at'        => format_date($blog_post_blog_tag->updated_at),
        ];
    }
}