<?php

namespace Blog\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogPostTransformer extends TransformerAbstract
{
    public function transform(\Blog\Blog\Models\BlogPost $blog_post)
    {
        return [
            'id'                => $blog_post->getRouteKey(),
            'key'               => [
                'public'    => $blog_post->getPublicKey(),
                'route'     => $blog_post->getRouteKey(),
            ], 
            'id'                => $blog_post->id,
            'user_id'           => $blog_post->user_id,
            'blog_category_id'  => $blog_post->blog_category_id,
            'cover'             => $blog_post->cover,
            'title'             => $blog_post->title,
            'slug'              => $blog_post->slug,
            'intro'             => $blog_post->intro,
            'content'           => $blog_post->content,
            'meta_title'        => $blog_post->meta_title,
            'meta_keywords'     => $blog_post->meta_keywords,
            'meta_description'  => $blog_post->meta_description,
            'posted_at'         => $blog_post->posted_at,
            'created_at'        => $blog_post->created_at,
            'updated_at'        => $blog_post->updated_at,
            'url'               => [
                'public'    => trans_url('blog/'.$blog_post->getPublicKey()),
                'user'      => guard_url('blog/blog_post/'.$blog_post->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog_post->status),
            'created_at'        => format_date($blog_post->created_at),
            'updated_at'        => format_date($blog_post->updated_at),
        ];
    }
}