<?php

namespace Blog\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogTagTransformer extends TransformerAbstract
{
    public function transform(\Blog\Blog\Models\BlogTag $blog_tag)
    {
        return [
            'id'                => $blog_tag->getRouteKey(),
            'key'               => [
                'public'    => $blog_tag->getPublicKey(),
                'route'     => $blog_tag->getRouteKey(),
            ], 
            'id'                => $blog_tag->id,
            'title'             => $blog_tag->title,
            'slug'              => $blog_tag->slug,
            'meta_title'        => $blog_tag->meta_title,
            'meta_keywords'     => $blog_tag->meta_keywords,
            'meta_description'  => $blog_tag->meta_description,
            'posted_at'         => $blog_tag->posted_at,
            'created_at'        => $blog_tag->created_at,
            'updated_at'        => $blog_tag->updated_at,
            'url'               => [
                'public'    => trans_url('blog/'.$blog_tag->getPublicKey()),
                'user'      => guard_url('blog/blog_tag/'.$blog_tag->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog_tag->status),
            'created_at'        => format_date($blog_tag->created_at),
            'updated_at'        => format_date($blog_tag->updated_at),
        ];
    }
}